Properties Methods Events Config Options Direct Link

# Class Ext.layout.ContainerLayout

Package: | Ext.layout
Defined In: | ContainerLayout.js
Class: | ContainerLayout
Subclasses: | AnchorLayout, BorderLayout, ColumnLayout, FitLayout, TableLayout
Extends: | Object

Every layout is composed of one or more Ext.Container elements internally, and ContainerLayout provides the basic foundation for all other layout classes in Ext. It is a non-visual class that simply provides the base logic required for a Container to function as a layout. This class is intended to be extended and should generally not need to be created directly via the new keyword.

## Config Options

Config Options | Defined By
--- | ---
| extraCls : String An optional extra CSS class that will be added to the container (defaults to ''). This can be useful for adding custo... An optional extra CSS class that will be added to the container (defaults to ''). This can be useful for adding customized styles to the container or any of its children using standard CSS rules. | ContainerLayout
| renderHidden : Boolean True to hide each contained item on render (defaults to false). | ContainerLayout

## Public Properties

Property | Defined By
--- | ---

activeItem : Ext.Component
A reference to the Ext.Component that is active. For example, if(myPanel.layout.activeItem.id == 'item-1') { ... }....
A reference to the Ext.Component that is active. For example, if(myPanel.layout.activeItem.id == 'item-1') { ... }. activeItem only applies to layout styles that can display items one at a time (like Ext.layout.Accordion, Ext.layout.CardLayout and Ext.layout.FitLayout). Read-only. Related to Ext.Container.activeItem.

ContainerLayout

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.